Page MenuHomePhabricator

efl_ui_focus_manager_root_focus: ensure that adapter is part of viewport
ClosedPublic

Authored by bu5hm4n on Nov 26 2018, 11:45 AM.

Details

Summary

This ensures that the adapter part is part of the viewport elements and
border elements. This is done in order to support cases where a
elm_scroller content is not focusable. Before the element was not
correctly in viewport, and so not correctly registered.

ref T6804

Depends on D7360

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Nov 26 2018, 11:45 AM
bu5hm4n requested review of this revision.Nov 26 2018, 11:45 AM
bu5hm4n updated this revision to Diff 17669.Nov 28 2018, 11:06 AM
bu5hm4n edited the summary of this revision. (Show Details)
YOhoho accepted this revision.Nov 28 2018, 5:39 PM
This revision is now accepted and ready to land.Nov 28 2018, 5:39 PM
Closed by commit rEFL1ede2302d3bf: efl_ui_focus_manager_root_focus: ensure that adapter is part of viewport (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 3 2018, 11:49 PM
This revision was automatically updated to reflect the committed changes.